Get Device Information

get

/rest/{versionId}/inventory/device-mgmt/devices/{deviceId}

Use this (GET) method to retrieve device credentials that where provided when the device was added for a targeted device as well as additional summary information as provided in Device Manager graphical user interface.

Request

Path Parameters
Back to Top

Response

200 Response

Device information retrieved successfully

400 Response

The user input is invalid.

401 Response

The user is unauthorized.

403 Response

The user does not have permission.

404 Response

The object (resource URI, device, and so on) of your input request cannot be found.

500 Response

An internal server error has occurred while processing the request.
Back to Top

Examples

Examples of Accessing the API

See Authenticate page to acquire a token.

The following example shows how to use curl to get device information.

curl -X GET \
    -H @auth_header.txt \
    "https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/inventory/device-mgmt/devices/<deviceId>"

The following example shows how to use Python to get device information.

import requests
headers = { "Authorization": "Bearer <auth-token>" }
url  = "https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/inventory/device-mgmt/devices/<deviceId>"
resp = requests.get(url, headers=headers)

Note:

Use the Get a List of Devices Associated with Config Manager API to find the deviceId parameter.

Example of the Response Body

The following example shows the contents of the response body.

{
  "bootstrapState": "Activated",
  "connectivityStatus": true,
  "groupParameters": [
    {
      "description": "User name to use for device communication",
      "name": "username",
      "readOnly": false,
      "value": "admin",
      "valueType": "String"
    },
    {
      "description": "Password of the user",
      "name": "password",
      "readOnly": false,
      "value": "xxxx",
      "valueType": "String"
    },
    {
      "description": "The SNMP agent mode configured for the device",
      "name": "snmp.mode",
      "readOnly": true,
      "validValues": [
        "v1v2"
      ],
      "value": "v1v2",
      "valueType": "SingleSelection"
    },
    {
      "description": "SNMP Community to use for device communication when snmp.mode value is v1v2",
      "name": "snmp.community.name",
      "readOnly": false,
      "value": "snmpuser1",
      "valueType": "String"
    },
    {
      "description": "SNMP Port to use for device communication",
      "maxValue": 9223372036854775807,
      "minValue": 0,
      "name": "snmp.port",
      "readOnly": false,
      "value": "161",
      "valueType": "NumberString"
    }
  ],
  "id": "2",
  "ip": "192.0.2.10",
  "key": "osdmc-vsbc28_192.0.2.10",
  "manageable": true,
  "name": "osdmc-vsbc28",

Example 2 of Accessing this API

This example shows the response for a Mediation Engine.

curl -X GET \
    -H @auth_header.txt \
    "https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/inventory/device-mgmt/devices/<deviceId>"

The following shows an example response.

{
  "bootstrapState": "Activated",
  "connectivityStatus": true,
  "groupParameters": [
      {
          "description": "Authorization token when managing the Mediation Engine",
          "name": "token",
          "readOnly": false,
          "value": "admin;051d96ea853dc6486811bc3912",
          "valueType": "String"
      },
      {
          "description": "Time zone for managing the Mediation Engine",
          "name": "timezone",
          "readOnly": false,
          "validValues": [
              "UTC"
          ],
          "value": "UTC",
          "valueType": "SingleSelection"
      },
      {
          "description": "The SNMP agent mode configured for the device",
          "name": "snmp.mode",
          "readOnly": true,
          "validValues": [
              "v1v2"
          ],
          "value": "v1v2",
          "valueType": "SingleSelection"
      },
      {
          "name": "nfName",
          "readOnly": false,
          "value": "me5",
          "valueType": "String"
      }
  ],
  "id": "3",
  "ip": "192.0.2.10",
  "key": "me5_192.0.2.10",
  "manageable": true,
  "name": "me5",
  "nfId": "43",
  "nfName": "me5",
  "parentGroupId": "43",
  "platformInfo": {
      "platform": "NA",
      "timeZoneInfo": "UTC"
  },
  "siteId": "1",
  "softwareInfo": {
      "configVersion": "0",
      "version": "NA"
  }
}

Example 3 of Accessing this API

This example shows the response for an Enterprise Communications Broker.

curl -X GET \
    -H @auth_header.txt \
    "https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/inventory/device-mgmt/devices/<deviceId>"

The following shows an example response.

{
  "bootstrapState": "Activated",
  "connectivityStatus": true,
  "groupParameters": [
    {
      "description": "User name to use for device communication",
      "name": "username",
      "readOnly": false,
      "value": "admin",
      "valueType": "String"
    },
    {
      "description": "Web protocol to use for device launch",
      "name": "web.protocol",
      "readOnly": false,
      "validValues": [
        "HTTP"
      ],
      "value": "HTTP",
      "valueType": "SingleSelection"
    },
    {
      "description": "Password of the user",
      "name": "password",
      "readOnly": false,
      "value": "xxxx",
      "valueType": "String"
    },
    {
      "description": "Web port to use for device launch",
      "maxValue": 9223372036854775807,
      "minValue": 0,
      "name": "web.port",
      "readOnly": false,
      "value": "80",
      "valueType": "NumberString"
    },
    {
      "description": "The SNMP agent mode configured for the device",
      "name": "snmp.mode",
      "readOnly": true,
      "validValues": [
        "v1v2"
      ],
      "value": "v1v2",
      "valueType": "SingleSelection"
    },
    {
      "description": "SNMP Community to use for device communication when snmp.mode value is v1v2",
      "name": "snmp.community.name",
      "readOnly": false,
      "value": "snmpuser1",
      "valueType": "String"
    },
    {
      "description": "SNMP Port to use for device communication",
      "maxValue": 9223372036854775807,
      "minValue": 0,
      "name": "snmp.port",
      "readOnly": false,
      "value": "161",
      "valueType": "NumberString"
    }
  ],
  "id": "4",
  "ip": "192.0.2.10",
  "key": "OSDMC-vECB-9_192.0.2.10",
  "manageable": true,
  "name": "OSDMC-vECB-9",
  "nfId": "44",
  "nfName": "ecb9",
  "parentGroupId": "44",
  "platformInfo": {
    "platform": "NNOSVM"
  },
  "siteId": "1",
  "softwareInfo": {
    "configVersion": "56",
    "version": "PCZ410p5"
  }
}

Example 4 of Accessing this API

This example shows the response for an HA pair for two Enterprise Session Border Controllers.

curl -X GET \
    -H @auth_header.txt \
    "https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/inventory/device-mgmt/devices/<deviceId>"

The following shows an example response.

{
  "bootstrapState": "Activated",
  "connectivityStatus": true,
  "groupParameters": [
    {
      "description": "User name to use for device communication",
      "name": "username",
      "readOnly": false,
      "value": "admin",
      "valueType": "String"
    },
    {
      "description": "Web protocol to use for device launch",
      "name": "web.protocol",
      "readOnly": false,
      "validValues": [
        "HTTP"
      ],
      "value": "HTTP",
      "valueType": "SingleSelection"
    },
    {
      "description": "Password of the user",
      "name": "password",
      "readOnly": false,
      "value": "xxxx",
      "valueType": "String"
    },
    {
      "description": "Web port to use for device launch",
      "maxValue": 9223372036854775807,
      "minValue": 0,
      "name": "web.port",
      "readOnly": false,
      "value": "80",
      "valueType": "NumberString"
    },
    {
      "description": "The SNMP agent mode configured for the device",
      "name": "snmp.mode",
      "readOnly": true,
      "validValues": [
        "v1v2"
      ],
      "value": "v1v2",
      "valueType": "SingleSelection"
    },
    {
      "description": "SNMP Community to use for device communication when snmp.mode value is v1v2",
      "name": "snmp.community.name",
      "readOnly": false,
      "value": "snmpuser1",
      "valueType": "String"
    },
    {
      "description": "SNMP Port to use for device communication",
      "maxValue": 9223372036854775807,
      "minValue": 0,
      "name": "snmp.port",
      "readOnly": false,
      "value": "161",
      "valueType": "NumberString"
    }
  ],
  "id": "13",
  "ip": "192.0.2.10",
  "key": "OSDMC-SBC-20_192.0.2.10",
  "manageable": true,
  "name": "OSDMC-SBC-20",
  "nfId": "49",
  "nfName": "esbcHAPair_21_22",
  "parentGroupId": "49",
  "platformInfo": {
    "platform": "NNOSVM"
  },
  "siteId": "1",
  "softwareInfo": {
    "configVersion": "574",
    "version": "SCZ930p6"
  }
}
Back to Top